Subject: Re: [PATCH] Add support the Korina (IDT RC32434) Ethernet MAC

From: Jeff Garzik <[email-masked]>
Date: Wed, 26 Mar 2008 00:36:19 -0400

Florian Fainelli wrote:
> Hi Francois,
> 
> Le lundi 17 mars 2008, Francois Romieu a écrit :
>>> Thanks for your comments, here is a third try which adresses the
>>> mentionned problems.
> 
> It is allright, thanks for your concise answers. 1-2,4-15 should be fixed now.
> 
>> 3. korina_rx() still drops the received skb each time dev_alloc_skb fails.
>>    This is far from optimal.
> 
> I now simply break into the while loop, which should allow more luck for failed allocation descriptors on next round. Seems like other 
> 
> Also, I fixed the multicast handling which was not done for filtered multicast traffic.
> 
> Below is the fourth try of the driver.
> --
> From: Florian Fainelli <[email-masked]>
> Subject: [PATCH] Add support the Korina (IDT RC32434) Ethernet MAC
> 
> This patch adds support for the IDT rc32434 Ethernet MAC
> we can find in the IDT boards and the Mikrotik RB500.
> Driver references some code from the linux-mips RB500
> support.
> 
> Signed-off-by: Florian Fainelli <[email-masked]>
> Signed-off-by: Felix Fietkau <[email-masked]>
> Signed-off-by: Philip Rischel <[email-masked]>

I applied this version...  please send changes after this as separate 
patches